Subject: bug#12816: closed (Re: bug#12816: OS X key mappings broken on 24.3.50.1)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 06 Nov 2012 18:37:01 +0000

Your bug report

#12816: OS X key mappings broken on 24.3.50.1

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12816: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12816
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12816: OS X key mappings broken on 24.3.50.1
From: Jan Djärv <[email-masked]>
To: Bob Halley <[email-masked]>
Cc: [email-masked]
Date: Tue, 6 Nov 2012 19:33:30 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello.

Fixed in trunk.  Not tested for keypad keys, I don't have any such keyboard here, will test that later.

	Jan D.

6 nov 2012 kl. 16:50 skrev Bob Halley <[email-masked]>:

> The key mappings on OS X are badly broken now.
> 
> lowercase a-z is OK: abcdefghijklmnopqrstuvwxyz
> uppercase A-Z is not so good :): .B*D+FGHIJ/LM-OP=01234567Z
> 
> Also '[' has become '8', and '\' has become '9'.
> 
> I suspect the changes made Sunday to nsterm.m (git emacs commit e4a979ea6c5a498e8bf94273e43e51e9c119e3cd).
> 
> Regards,
> 
> /Bob
> 
> 
> 

Subject: OS X key mappings broken on 24.3.50.1
From: Bob Halley <[email-masked]>
To: [email-masked]
Date: Tue, 6 Nov 2012 15:50:18 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

The key mappings on OS X are badly broken now.

lowercase a-z is OK: abcdefghijklmnopqrstuvwxyz
uppercase A-Z is not so good :): .B*D+FGHIJ/LM-OP=01234567Z

Also '[' has become '8', and '\' has become '9'.

I suspect the changes made Sunday to nsterm.m (git emacs commit e4a979ea6c5a498e8bf94273e43e51e9c119e3cd).

Regards,

/Bob